import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

public class NumberTextFieldTest extends JFrame {

	JLabel label = new JLabel("Է");
	NumberTextField field = new NumberTextField(10);

	public NumberTextFieldTest() {
		add(label, BorderLayout.CENTER);
		add(field, BorderLayout.NORTH);
		field.addKeyListener(new KeyAdapter() {
			@Override
			public void keyPressed(KeyEvent e) {
				int key = e.getKeyCode();
				if (key == KeyEvent.VK_ENTER) {
					JTextField t = (JTextField) e.getSource();
					double value = Double.parseDouble(t.getText());
					label.setText("Value: " + value);
				}
			}
		});
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setTitle("NumberTextFieldTest");
		setSize(300, 150);
		setVisible(true);
	}

	public static void main(String[] args) {
		new NumberTextFieldTest(); 
	}
}
