import javax.swing.JTextField;
import java.awt.event.KeyEvent;
import java.awt.event.KeyAdapter;

public class NumberTextField extends JTextField {

	public NumberTextField(int column) {
		super(column);
		/*addKeyListener(new KeyAdapter()  {
			public void keyTyped(KeyEvent e) {
				char c = e.getKeyChar();
				if (!Character.isDigit(c) && !isValidSign(c) && c != '.' && c != '\b') {
					e.consume();
				}
			}
		});*/
	}
	
	@Override
	public void processKeyEvent(KeyEvent e) {
		char c = e.getKeyChar();
		if (!Character.isDigit(c) && !isValidSign(c) && c != '.' && c != '\b') {
			e.consume();
		}
		super.processKeyEvent(e);
		return;
	}

	private boolean isValidSign(char c){
        if( (getText() == null || "".equals(getText().trim()) ) && c == '-'){
            return true;
        }
        return false;
    }
}
